Package com.pixelmed.convert

## Class NRRDHeader

- java.lang.Object
- - com.pixelmed.convert.NRRDHeader

-     public class NRRDHeader
      extends java.lang.Object

  A class for extracting NRRD image input format headers.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `byte_offset_of_binary` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `fields` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `keys` |
    `java.lang.String` | `magic` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NRRDHeader​(java.io.File inputFile)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int[]` | `getArrayOfIntegerValueOrThrowException​(java.lang.String key)` |
    `java.lang.String` | `getDataFile()` |
    `int` | `getDimension()` |
    `int` | `getSingleIntegerValueOrThrowException​(java.lang.String key)` |
    `int[]` | `getSizes()` |
    `java.lang.String` | `getSpace()` |
    `static java.lang.String[]` | `getSpaceDelimitedValues​(java.lang.String values)` |
    `java.lang.String[]` | `getSpaceDirections()` |
    `java.lang.String[]` | `getSpaceOrigin()` |
    `com.pixelmed.convert.NRRDHeader.Type` | `getType()` |
    `static java.lang.String[]` | `getVectorTripleValuesFromString​(java.lang.String key, java.lang.String valueString)` |
    `boolean` | `isDataBigEndian()` |
    `boolean` | `isDataGZIPEncoded()` |
    `static void` | `main​(java.lang.String[] arg)` | Read a NRRD image input format files and dump header.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### magic

          public java.lang.String magic

    - #### byte_offset_of_binary

          public int byte_offset_of_binary

    - #### fields

          public java.util.Map<java.lang.String,​java.lang.String> fields

    - #### keys

          public java.util.Map<java.lang.String,​java.lang.String> keys

  - ### Constructor Detail

    - #### NRRDHeader

          public NRRDHeader​(java.io.File inputFile)
                     throws java.io.IOException,
                            NRRDException

      Throws:
        `java.io.IOException`
        `NRRDException`

  - ### Method Detail

    - #### getSpaceDelimitedValues

          public static java.lang.String[] getSpaceDelimitedValues​(java.lang.String values)

    - #### getType

          public com.pixelmed.convert.NRRDHeader.Type getType()

    - #### getSingleIntegerValueOrThrowException

          public int getSingleIntegerValueOrThrowException​(java.lang.String key)
                                                    throws NRRDException,
                                                           java.lang.NumberFormatException

      Throws:
        `NRRDException`
        `java.lang.NumberFormatException`

    - #### getArrayOfIntegerValueOrThrowException

          public int[] getArrayOfIntegerValueOrThrowException​(java.lang.String key)
                                                       throws NRRDException,
                                                              java.lang.NumberFormatException

      Throws:
        `NRRDException`
        `java.lang.NumberFormatException`

    - #### getVectorTripleValuesFromString

          public static java.lang.String[] getVectorTripleValuesFromString​(java.lang.String key,
                                                                           java.lang.String valueString)
                                                                    throws NRRDException

      Throws:
        `NRRDException`

    - #### getDimension

          public int getDimension()
                           throws NRRDException,
                                  java.lang.NumberFormatException

      Throws:
        `NRRDException`
        `java.lang.NumberFormatException`

    - #### getSizes

          public int[] getSizes()
                         throws NRRDException,
                                java.lang.NumberFormatException

      Throws:
        `NRRDException`
        `java.lang.NumberFormatException`

    - #### getSpace

          public java.lang.String getSpace()

    - #### getSpaceDirections

          public java.lang.String[] getSpaceDirections()

    - #### getSpaceOrigin

          public java.lang.String[] getSpaceOrigin()
                                            throws NRRDException

      Throws:
        `NRRDException`

    - #### isDataBigEndian

          public boolean isDataBigEndian()

    - #### isDataGZIPEncoded

          public boolean isDataGZIPEncoded()

    - #### getDataFile

          public java.lang.String getDataFile()

    - #### main

          public static void main​(java.lang.String[] arg)

      Read a NRRD image input format files and dump header.

      Parameters:
        `arg` - the inputFile,